{% extends 'animeflix_app/pages/video.html' %}
{% load static %}

{% block popularFilter %}
    <div class="btn-group my-2" role="group" aria-label="Basic example" id="popularOrder">
        <a href="{% url 'v_popular' %}?order=high" type="radio"
           class="btn btn-outline-primary">Most rated</a>
        <a href="{% url 'v_popular' %}?order=low" type="radio"
           class="btn btn-outline-primary">Less rated</a>
    </div>
{% endblock %}

{% block popularContent %}
    <div class="col cardColumn" id="cardID_{{ a.id }}">
        <div class="card shadow-sm">
            <div class="card-body">
                <div class="text-center mb-3">
                    <img src="{{ a.copertina }}" alt="{{ a.copertina }}" class="img-fluid">
                </div>

                <div class="d-flex justify-content-center">
                    <h5 class="card-text text-dark mx-auto" >{{ a.titolo }}</h5>
                    {% if a.premium %}
                        <img class="img-fluid rounded-circle white-img-filter bg-primary p-1"
                             src="{% static 'icons/workspace_premium_black.svg' %}" alt="premium_icon">
                    {% endif %}
                </div>

                <p class="card-text text-center text-truncate mb-1">{{ a.trama }}</p>

                <div class="d-flex justify-content-between">
                    {% include 'animeflix_app/pages/../animeEvaluation/animeRating.html' with single_anime=a %}
                    <small class="text-muted my-auto">{{ a.tot_episodi }} Episode{{ a.tot_episodi|pluralize }}</small>
                </div>
            </div>
            <button type="submit" class="btn btn-primary" name="watch" value="{{ a.id }}">Watch it!</button>
        </div>
    </div>
{% endblock %}
